## file-roller 3.14.1

=== debian/changelog ===
file-roller (3.14.1-1) unstable; urgency=medium

  [ Pedro Beja ]
  * New upstream release.

  [ Laurent Bigonville ]
  * debian/control.in: Bump Standards-Version to 3.9.6 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Sun, 19 Oct 2014 22:17:00 +0200

file-roller (3.14.0-1) unstable; urgency=medium

  * New upstream release.
  * Upload to unstable.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 22 Sep 2014 23:08:01 +0200

file-roller (3.13.91-1) experimental; urgency=medium

  * New upstream release

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 07 Sep 2014 14:43:42 +0200

file-roller (3.12.2-1) unstable; urgency=medium

  * New upstream release.
  * Drop debian/patches/use-new-desktop-filename.patch
    - now included in new upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 16 May 2014 19:12:23 +0200

file-roller (3.12.1-2) unstable; urgency=medium

  * Add debian/patches/use-new-desktop-filename.patch (Closes: #746366)
    - from upstream git, fix for problem introduced in 3.12.1

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 30 Apr 2014 18:16:42 +0200

file-roller (3.12.1-1) unstable; urgency=medium

  * Add a recommends on gnome-icon-theme-symbolic (Closes: #745594)
  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 26 Apr 2014 18:23:51 +0200

file-roller (3.12.0-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 25 Mar 2014 13:05:56 +0100

file-roller (3.11.90-1) experimental; urgency=low

  [ Jackson Doak ]
  * New upstream release
    - Bump B-dep version of glib, gtk

  [ Andreas Henriksson ]
  * New upstream release.
  * Build-depend on desktop-file-utils for .desktop syntax validation

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 17 Feb 2014 21:49:42 +0100

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: file-roller
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Henriksson <andreas@fatal.se>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
Build-Depends: cdbs (>= 0.4.41),
               debhelper (>= 8),
               desktop-file-utils,
               gettext,
               gnome-pkg-tools (>= 0.12),
               intltool (>= 0.40.0),
               libarchive-dev (>= 3),
               libglib2.0-dev (>= 2.36.0),
               libgtk-3-dev (>= 3.13.2),
               libjson-glib-dev (>= 0.14),
               libmagic-dev,
               libnautilus-extension-dev (>= 2.91.0),
               libnotify-dev (>= 0.4.3),
               yelp-tools
Standards-Version: 3.9.6
Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/file-roller
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/file-roller
Homepage: http://fileroller.sourceforge.net/

Package: file-roller
Architecture: any
Depends: bzip2,
         nautilus-data (>= 3.0),
         p7zip-full,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: gnome-icon-theme (<< 2.14)
Recommends: gnome-icon-theme (>= 2.18),
            gnome-icon-theme-symbolic,
            gvfs,
            unar,
            yelp
Suggests: arj,
          lha,
          lzip,
          lzma,
          lzop,
          ncompress,
          rpm2cpio,
          rzip,
          sharutils,
          unace,
          unalz,
          unzip,
          xz-utils,
          zip,
          zoo
Description: archive manager for GNOME
 File-roller is an archive manager for the GNOME environment. It allows you to:
 .
  * Create and modify archives.
  * View the content of an archive.
  * View a file contained in an archive.
  * Extract files from the archive.
 .
 File-roller supports the following formats:
  * Tar (.tar) archives, including those compressed with
    gzip (.tar.gz, .tgz), bzip (.tar.bz, .tbz), bzip2 (.tar.bz2, .tbz2),
    compress (.tar.Z, .taz), lzip (.tar.lz, .tlz), lzop (.tar.lzo, .tzo),
    lzma (.tar.lzma) and xz (.tar.xz)
  * Zip archives (.zip)
  * Jar archives (.jar, .ear, .war)
  * 7z archives (.7z)
  * iso9660 CD images (.iso)
  * Lha archives (.lzh)
  * Archiver archives (.ar)
  * Comic book archives (.cbz)
  * Single files compressed with gzip (.gz), bzip (.bz), bzip2 (.bz2),
    compress (.Z), lzip (.lz), lzop (.lzo), lzma (.lzma) and xz (.xz)
 .
 File-roller can extract following formats:
  * Cabinet archives (.cab)
  * Debian binary packages (.deb)
  * Xar archives (.xar)
 .
 File-roller doesn't perform archive operations by itself, but relies on
 standard tools for this.

## file-roller 3.14.2

=== debian/changelog ===
file-roller (3.14.2-0ubuntu5) vivid; urgency=medium

  * 0001-fixed-Compress-command-visible-for-trash-and-disk-dr.patch: Fix
    non-functional "compress" appearing in the context menu for drives and
    trash. (LP: #1403377)

 -- Iain Lane <iain.lane@canonical.com>  Tue, 03 Mar 2015 11:12:16 +0000

file-roller (3.14.2-0ubuntu4) vivid; urgency=medium

  * Drop adwaita-icon-theme Replaces:, obsolete since switch from g-i-t.

 -- Iain Lane <iain.lane@canonical.com>  Mon, 02 Feb 2015 13:59:25 +0000

file-roller (3.14.2-0ubuntu3) vivid; urgency=medium

  * Don't set PRIMARY_TOOLBAR if we're using the headerbar as a toolbar (under
    !GNOME).

 -- Iain Lane <iain@orangesquash.org.uk>  Mon, 02 Feb 2015 13:47:33 +0000

file-roller (3.14.2-0ubuntu2) vivid; urgency=medium

  * Switch gnome-icon-theme to adwaita-icon-theme, which is its
    successor. (LP: #1414613)

 -- Iain Lane <iain@orangesquash.org.uk>  Mon, 26 Jan 2015 14:55:34 +0000

file-roller (3.14.2-0ubuntu1) vivid; urgency=medium

  [ Jackson Doak ]
  * Sync with debian, remaining changes:
    - Depend on zip and unzip instead of p7zip-full which is in universe
    - Suggest p7zip-full (LP: #918107)
    - Recommend sessioninstaller
    - Run dh-autoreconf
  * Drop unar to suggests

  [ Iain Lane ]
  * Some slight updates to menubar patch.
  * debian/patches/git_nautilus_extension_unref.patch: Dropped, in this
    release.
  * New upstream release.
  * No need to Suggest things we Depend on.
  * debian/patches/000*: Take patches from bgo#741925 to respect the
    DialogsUseHeader setting on file-roller's dialogs.
  * Make a compatibility desktop file for upgraders

 -- Iain Lane <iain.lane@canonical.com>  Thu, 08 Jan 2015 17:32:56 +0000

file-roller (3.12.2-0ubuntu1) vivid; urgency=medium

  * New upstream release (LP: #1339351)

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 04 Nov 2014 12:16:44 +1300

file-roller (3.10.2.1-0ubuntu5) utopic; urgency=medium

  * debian/patches/git_nautilus_extension_unref.patch:
    - Stop nautilus crashing due to a missing unref in the file roller
      extension (LP: #1333606)

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 11 Jul 2014 19:35:17 +1200

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,15 @@
 Source: file-roller
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Laurent Bigonville <bigon@debian.org>, Sjoerd Simons <sjoerd@debian.org>
 Build-Depends: cdbs (>= 0.4.41),
                debhelper (>= 8),
                desktop-file-utils,
+               dh-autoreconf,
                gettext,
-               gnome-pkg-tools (>= 0.12),
+               gnome-pkg-tools (>= 0.19.4ubuntu1~),
                intltool (>= 0.40.0),
                libarchive-dev (>= 3),
                libglib2.0-dev (>= 2.36.0),
@@ -22,22 +24,20 @@
                libnotify-dev (>= 0.4.3),
                yelp-tools
 Standards-Version: 3.9.6
-Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/file-roller
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/file-roller
+Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/file-roller/ubuntu
 Homepage: http://fileroller.sourceforge.net/
 
 Package: file-roller
 Architecture: any
 Depends: bzip2,
          nautilus-data (>= 3.0),
-         p7zip-full,
+         unzip,
+         zip,
          ${misc:Depends},
          ${shlibs:Depends}
-Replaces: gnome-icon-theme (<< 2.14)
-Recommends: gnome-icon-theme (>= 2.18),
-            gnome-icon-theme-symbolic,
+Recommends: adwaita-icon-theme,
             gvfs,
-            unar,
+            sessioninstaller,
             yelp
 Suggests: arj,
           lha,
@@ -45,14 +45,14 @@
           lzma,
           lzop,
           ncompress,
+          p7zip-full,
           rpm2cpio,
           rzip,
           sharutils,
           unace,
           unalz,
-          unzip,
+          unar,
           xz-utils,
-          zip,
           zoo
 Description: archive manager for GNOME
  File-roller is an archive manager for the GNOME environment. It allows you to:

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/autoreconf.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

include /usr/share/gnome-pkg-tools/1/rules/make-compat-desktop-file.mk

DEB_MK_COMPAT_DESKTOP_file-roller := $(CURDIR)/debian/file-roller/usr/share/applications/org.gnome.FileRoller.desktop $(CURDIR)/debian/file-roller/usr/share/applications/file-roller.desktop

LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed

DEB_CONFIGURE_EXTRA_FLAGS += --disable-scrollkeeper \
			     --enable-magic

DEB_DH_MAKESHLIBS_ARGS += --no-act

binary-install/file-roller::
	rm -f debian/file-roller/usr/lib/nautilus/extensions-*/*.a
	rm -f debian/file-roller/usr/lib/nautilus/extensions-*/*.la

## file-roller 3.16.3

=== debian/changelog ===
file-roller (3.16.3-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Tue, 30 Jun 2015 22:30:19 +0200

file-roller (3.16.2-2) unstable; urgency=medium

  * Drop the Depends on nautilus-data. It's no longer strictly necessary since
    file-roller has been updated to not crash if the nautilus GSettings schema
    is not present. This makes file-roller more suitable for non-GNOME
    environments, where nautilus is not wanted. (Closes: #788690)

 -- Michael Biebl <biebl@debian.org>  Mon, 15 Jun 2015 14:56:52 +0200

file-roller (3.16.2-1) unstable; urgency=medium

  * New upstream release.
  * Drop obsolete --disable-scrollkeeper configure flag.
  * Drop obsolete Replaces from pre-wheezy.
  * Point Homepage: URL to the more up-to-date GNOME wiki page.
  * Bump debhelper compatibility level to 9.
  * Use dh-autoreconf --as-needed instead of patching ltmain.sh.

 -- Michael Biebl <biebl@debian.org>  Thu, 28 May 2015 02:59:25 +0200

=== debian/control ===
--- 
+++ 
@@ -5,15 +5,14 @@
 Source: file-roller
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Laurent Bigonville <bigon@debian.org>, Sjoerd Simons <sjoerd@debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
 Build-Depends: cdbs (>= 0.4.41),
-               debhelper (>= 8),
+               debhelper (>= 9),
+               dh-autoreconf,
                desktop-file-utils,
-               dh-autoreconf,
                gettext,
-               gnome-pkg-tools (>= 0.19.4ubuntu1~),
+               gnome-pkg-tools (>= 0.12),
                intltool (>= 0.40.0),
                libarchive-dev (>= 3),
                libglib2.0-dev (>= 2.36.0),
@@ -24,20 +23,20 @@
                libnotify-dev (>= 0.4.3),
                yelp-tools
 Standards-Version: 3.9.6
-Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/file-roller/ubuntu
-Homepage: http://fileroller.sourceforge.net/
+Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/file-roller
+Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/file-roller
+Homepage: https://wiki.gnome.org/Apps/FileRoller
 
 Package: file-roller
 Architecture: any
 Depends: bzip2,
-         nautilus-data (>= 3.0),
-         unzip,
-         zip,
+         p7zip-full,
          ${misc:Depends},
          ${shlibs:Depends}
-Recommends: adwaita-icon-theme,
+Recommends: gnome-icon-theme (>= 2.18),
+            gnome-icon-theme-symbolic,
             gvfs,
-            sessioninstaller,
+            unar,
             yelp
 Suggests: arj,
           lha,
@@ -45,14 +44,14 @@
           lzma,
           lzop,
           ncompress,
-          p7zip-full,
           rpm2cpio,
           rzip,
           sharutils,
           unace,
           unalz,
-          unar,
+          unzip,
           xz-utils,
+          zip,
           zoo
 Description: archive manager for GNOME
  File-roller is an archive manager for the GNOME environment. It allows you to:

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/autoreconf.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed

DEB_DH_AUTORECONF_ARGS = --as-needed

DEB_CONFIGURE_EXTRA_FLAGS += --enable-magic

DEB_DH_MAKESHLIBS_ARGS += --no-act

binary-install/file-roller::
	rm -f debian/file-roller/usr/lib/nautilus/extensions-*/*.a
	rm -f debian/file-roller/usr/lib/nautilus/extensions-*/*.la

## file-roller 3.16.4

=== debian/changelog ===
file-roller (3.16.4-1ubuntu3) wily; urgency=medium

  * debian/patches/bzg_click_support.patch:
    - define clicks as debs compatible so file-roller knows how to open
      those, thanks  Alan Bell (lp: #1439640)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 12 Oct 2015 17:52:40 +0100

file-roller (3.16.4-1ubuntu2) wily; urgency=medium

  * debian/patches/bzg_click_support.patch

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 12 Oct 2015 15:16:39 +0100

file-roller (3.16.4-1ubuntu1) wily; urgency=low

  * Merge from debian. Remaining changes:
    - Make a compatibility desktop file for upgraders
    - Use ubuntu VCS in d/control
    - Depend on zip and unzip instead of p7zip-full which is in universe
    - Suggest p7zip-full (LP: #918107)
    - Recommend sessioninstaller
    - Drop unar to suggests
    - Add patch to not use GtkHeaderBar in Unity

 -- Iain Lane <iain.lane@canonical.com>  Tue, 08 Sep 2015 12:53:05 +0100

file-roller (3.16.4-1) unstable; urgency=medium

  [ Josselin Mouette ]
  * Remove Debian menu entry.

  [ Michael Biebl ]
  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Fri, 04 Sep 2015 18:38:57 +0200

file-roller (3.16.3-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 01 Jul 2015 09:44:05 +1200

file-roller (3.16.2-2ubuntu1) wily; urgency=medium

  * Merge from debian. Remaining changes:
    - Make a compatibility desktop file for upgraders
    - Use ubuntu VCS in d/control
    - Depend on zip and unzip instead of p7zip-full which is in universe
    - Suggest p7zip-full (LP: #918107)
    - Recommend sessioninstaller
    - Drop unar to suggests
    - Add patch to not use GtkHeaderBar in Unity

 -- Jackson Doak <noskcaj@ubuntu.com>  Wed, 17 Jun 2015 07:35:31 +1000

file-roller (3.16.2-0ubuntu1) wily; urgency=medium

  * New upstream release 
  * debian/patches/0001-Respect-use-header-bar-for-the-properties-dialog.patch:
  * debian/patches/0001-fixed-Compress-command-visible-for-trash-and-disk-dr.patch:
  * debian/patches/0002-ask-password-Use-gtk-dialogs-use-header-GtkSetting.patch:
  * debian/patches/0003-password-Use-gtk-dialogs-use-header-GtkSetting.patch:
  * debian/patches/0004-request-dialog-Use-gtk-dialogs-use-header-GtkSetting.patch:
  * debian/patches/0005-delete-Use-gtk-dialogs-use-header-GtkSetting.patch:
  * debian/patches/0006-dlg-add-Respect-the-DialogsUseHeader-gtksetting.patch:
  * debian/patches/0007-fr-new-archive-dialog-respect-gtk-dialogs-use-header.patch:
    - Applied upstream

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 20 May 2015 16:34:13 +1200

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,15 @@
 Source: file-roller
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: cdbs (>= 0.4.41),
                debhelper (>= 9),
                dh-autoreconf,
                desktop-file-utils,
                gettext,
-               gnome-pkg-tools (>= 0.12),
+               gnome-pkg-tools (>= 0.19.4ubuntu1~),
                intltool (>= 0.40.0),
                libarchive-dev (>= 3),
                libglib2.0-dev (>= 2.36.0),
@@ -23,20 +24,19 @@
                libnotify-dev (>= 0.4.3),
                yelp-tools
 Standards-Version: 3.9.6
-Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/file-roller
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/file-roller
+Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/file-roller/ubuntu
 Homepage: https://wiki.gnome.org/Apps/FileRoller
 
 Package: file-roller
 Architecture: any
 Depends: bzip2,
-         p7zip-full,
+         unzip,
+         zip,
          ${misc:Depends},
          ${shlibs:Depends}
-Recommends: gnome-icon-theme (>= 2.18),
-            gnome-icon-theme-symbolic,
+Recommends: adwaita-icon-theme,
             gvfs,
-            unar,
+            sessioninstaller,
             yelp
 Suggests: arj,
           lha,
@@ -44,14 +44,14 @@
           lzma,
           lzop,
           ncompress,
+          p7zip-full,
           rpm2cpio,
           rzip,
           sharutils,
           unace,
           unalz,
-          unzip,
+          unar,
           xz-utils,
-          zip,
           zoo
 Description: archive manager for GNOME
  File-roller is an archive manager for the GNOME environment. It allows you to:

## file-roller 3.16.5

=== debian/changelog ===
file-roller (3.16.5-0ubuntu1.5) xenial-security; urgency=medium

  * SECURITY UPDATE: Directory Traversal
    - debian/patches/CVE-2020-36314.patch: skip files with symlinks in
      parents in src/fr-archive-libarchive.c.
    - CVE-2020-36314

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Fri, 09 Apr 2021 15:54:33 -0300

file-roller (3.16.5-0ubuntu1.4) xenial-security; urgency=medium

  * SECURITY UPDATE: Directory traversal
    - debian/patches/CVE-2020-11736.patch: do not follow external
      links when extracting files in src/fr-archive-libarchive.c.
    - CVE-2020-11736

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Tue, 14 Apr 2020 16:50:05 -0300

file-roller (3.16.5-0ubuntu1.3) xenial-security; urgency=medium

  * SECURITY UPDATE: Path traversal vulnerability
    - debian/patches/CVE-2019-16680.patch: avoid the
      extraction of files with relative paths in  src/glib-utils.c.
    - CVE-2019-16680

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Tue, 24 Sep 2019 11:36:06 -0300

file-roller (3.16.5-0ubuntu1.2) xenial-security; urgency=medium

  * SECURITY UPDATE: Path traversal flaw allows arbitrary file deletion via
    malicious archive (LP: #1171236)
    - debian/patches/CVE-2016-7162.patch: Do not follow symlinks when deleting
      a folder recursively. Based on upstream patch.
    - CVE-2016-7162

 -- Tyler Hicks <tyhicks@canonical.com>  Thu, 08 Sep 2016 09:17:37 -0500

file-roller (3.16.5-0ubuntu1.1) xenial; urgency=medium

  * debian/control:
    - Suggest squashfs-tools
  * debian/patches/squashfs.patch:
    - Support squashfs (i.e. .snap) files (LP: #1585867)

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 26 May 2016 16:06:39 +1200

file-roller (3.16.5-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix update (lp: #1576656)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 29 Apr 2016 13:53:10 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Michael Biebl <biebl@debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Build-Depends: cdbs (>= 0.4.41),
                debhelper (>= 9),
                dh-autoreconf,
@@ -48,6 +48,7 @@
           rpm2cpio,
           rzip,
           sharutils,
+          squashfs-tools,
           unace,
           unalz,
           unar,

=== debian/rules ===
--- 
+++ 
@@ -6,9 +6,13 @@
 include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
 -include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
 
+include /usr/share/gnome-pkg-tools/1/rules/make-compat-desktop-file.mk
+
 LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed
 
 DEB_DH_AUTORECONF_ARGS = --as-needed
+
+DEB_MK_COMPAT_DESKTOP_file-roller := $(CURDIR)/debian/file-roller/usr/share/applications/org.gnome.FileRoller.desktop $(CURDIR)/debian/file-roller/usr/share/applications/file-roller.desktop
 
 DEB_CONFIGURE_EXTRA_FLAGS += --enable-magic

## file-roller 3.16.5-0ubuntu1.5%2B8.0trisquel2

=== debian/changelog ===
file-roller (3.16.5-0ubuntu1.5+8.0trisquel2) flidas-security; urgency=medium

  * Disabled package recommendations, fixes #7747

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 27 Apr 2021 00:42:19 +0000

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 DEB_MK_COMPAT_DESKTOP_file-roller := $(CURDIR)/debian/file-roller/usr/share/applications/org.gnome.FileRoller.desktop $(CURDIR)/debian/file-roller/usr/share/applications/file-roller.desktop
 
-DEB_CONFIGURE_EXTRA_FLAGS += --enable-magic
+DEB_CONFIGURE_EXTRA_FLAGS += --enable-magic --disable-packagekit
 
 DEB_DH_MAKESHLIBS_ARGS += --no-act

## file-roller 3.22.0

=== debian/changelog ===
file-roller (3.22.0-1ubuntu1) yakkety; urgency=medium

  * Merge with Debian. Remaining changes:
    - Add patch to not use GtkHeaderBar in Unity
    - debian/control.in:
      + Depend on zip and unzip instead of p7zip-full which is in universe
      + Suggest p7zip-full and squashfs-tools
      + Recommend sessioninstaller
      + Bump minimum pkg-gnome-tools for desktop file compatibility script
    - debian/rules:
      + Make a compatibility desktop file for upgraders
    - bz_unity_headerbar.patch:
      + Don't use GtkHeaderBar in Unity
    - debian/patches/squashfs.patch:
      + Support squashfs and snap files
  * New upstream release
  * Bump dh compat to 10
  * Add debian/patches/revert_nautilus_extension_removal.patch:
    - Revert removal of nautilus extension since we're not using
      Nautilus 3.22 yet
  * debian/rules: Adapt to multiarched nautilus extension directory

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 19 Sep 2016 14:57:49 -0400

file-roller (3.22.0-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 19 Sep 2016 20:36:02 +0200

file-roller (3.21.90-1) experimental; urgency=medium

  * New upstream beta release.

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 18 Aug 2016 11:07:44 +0200

file-roller (3.20.3-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 18 Aug 2016 10:50:27 +0200

file-roller (3.20.2-3) unstable; urgency=medium

  * Demote unar to Suggests as we don't want to pull in a complete gnustep
    runtime environment by default. Extracting rar archives is still possible
    via libarchive.
  * Convert from cdbs to dh.

 -- Michael Biebl <biebl@debian.org>  Mon, 04 Jul 2016 16:01:27 +0200

file-roller (3.20.2-2) unstable; urgency=medium

  * debian/control.in: Drop gnome-icon-theme from the dependencies, do not
    force an icon theme and rely on the one installed by the metapackages 

 -- Laurent Bigonville <bigon@debian.org>  Sun, 05 Jun 2016 01:29:07 +0200

file-roller (3.20.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump Build-Depends on intltool to (>= 0.50.1) as per configure.ac.
  * Bump Standards-Version to 3.9.8.

 -- Michael Biebl <biebl@debian.org>  Tue, 10 May 2016 22:09:32 +0200

file-roller (3.20.1-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Fri, 15 Apr 2016 18:07:48 +0200

file-roller (3.20.0-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 24 Mar 2016 15:15:29 +0100

file-roller (3.19.91-1) experimental; urgency=medium

  [ Pedro Beja ]
  * New upstream release.

  [ Andreas Henriksson ]
  * Bump Standards-Version to 3.9.7

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 14 Mar 2016 21:27:33 +0100

## file-roller 3.22.1

=== debian/changelog ===
file-roller (3.22.1-0ubuntu1) yakkety; urgency=medium

  * New upstream bugfix release (LP: #1633757)
    - Fix bug that prevented opening additional archives when file-roller
      was already open
    - Handle Source RPMs. Don't handle Comic Book archives.
    - Fixes for working with archives on remote computers
    - Translation fixes

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 15 Oct 2016 13:36:51 -0400

## file-roller 3.22.3

=== debian/changelog ===
file-roller (3.22.3-1+deb9u1) stretch-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Path traversal vulnerability (CVE-2019-16680)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 22 Sep 2019 15:10:05 +0200

file-roller (3.22.3-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Tue, 28 Feb 2017 02:30:38 +0100

file-roller (3.22.2-2) unstable; urgency=medium

  [ Andreas Henriksson ]
  * Add debian/patches/wayland_workaround.patch (Closes: #848821)
    - force X11 backend until a proper fix exists, see
      https://bugzilla.gnome.org/show_bug.cgi?id=770333

 -- Laurent Bigonville <bigon@debian.org>  Thu, 22 Dec 2016 15:51:43 +0100

file-roller (3.22.2-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Tue, 08 Nov 2016 14:49:02 +0100

file-roller (3.22.1-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Tue, 11 Oct 2016 12:54:37 +0200

file-roller (3.21.91-1) unstable; urgency=medium

  * New upstream development release.
  * Drop debian/patches/02_Remove-nautilus-extension.patch, merged upstream.
  * Bump debhelper compat level to 10.

 -- Michael Biebl <biebl@debian.org>  Wed, 14 Sep 2016 19:47:40 +0200

file-roller (3.21.90-2) unstable; urgency=medium

  * Drop Build-Depends on libnautilus-extension-dev. The nautilus extension
    has been removed upstream as this functionality is now built directly into
    nautilus.
  * Drop overrides for dh_install and dh_makeshlibs, no longer necessary.

 -- Michael Biebl <biebl@debian.org>  Wed, 31 Aug 2016 16:05:45 +0200

=== debian/control ===
--- 
+++ 
@@ -5,38 +5,32 @@
 Source: file-roller
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Build-Depends: cdbs (>= 0.4.41),
-               debhelper (>= 9),
-               dh-autoreconf,
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
+Build-Depends: debhelper (>= 10),
                desktop-file-utils,
                gettext,
-               gnome-pkg-tools (>= 0.19.4ubuntu1~),
-               intltool (>= 0.40.0),
+               gnome-pkg-tools (>= 0.12),
+               intltool (>= 0.50.1),
                libarchive-dev (>= 3),
                libglib2.0-dev (>= 2.36.0),
                libgtk-3-dev (>= 3.13.2),
                libjson-glib-dev (>= 0.14),
                libmagic-dev,
-               libnautilus-extension-dev (>= 2.91.0),
                libnotify-dev (>= 0.4.3),
                yelp-tools
-Standards-Version: 3.9.6
-Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/file-roller/ubuntu
+Standards-Version: 3.9.8
+Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/file-roller
+Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/file-roller
 Homepage: https://wiki.gnome.org/Apps/FileRoller
 
 Package: file-roller
 Architecture: any
 Depends: bzip2,
-         unzip,
-         zip,
+         p7zip-full,
          ${misc:Depends},
          ${shlibs:Depends}
-Recommends: adwaita-icon-theme,
-            gvfs,
-            sessioninstaller,
+Recommends: gvfs,
             yelp
 Suggests: arj,
           lha,
@@ -44,15 +38,15 @@
           lzma,
           lzop,
           ncompress,
-          p7zip-full,
           rpm2cpio,
           rzip,
           sharutils,
-          squashfs-tools,
           unace,
           unalz,
           unar,
+          unzip,
           xz-utils,
+          zip,
           zoo
 Description: archive manager for GNOME
  File-roller is an archive manager for the GNOME environment. It allows you to:

=== debian/rules ===
#!/usr/bin/make -f

-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,-O1 -Wl,--as-needed

%:
	dh $@ --with gnome

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_auto_configure:
	dh_auto_configure -- --enable-magic

override_dh_makeshlibs:
	dh_makeshlibs --no-act

## file-roller 3.26.1

=== debian/changelog ===
file-roller (3.26.1-0ubuntu1) artful; urgency=medium

  * New upstream translations release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 05 Oct 2017 21:58:08 -0400

file-roller (3.26.0-0ubuntu3) artful; urgency=medium

  * Revert dropping bz_unity_header.patch:
    - This was a User Interface Freeze break.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 03 Oct 2017 09:35:04 -0400

file-roller (3.26.0-0ubuntu2) artful; urgency=medium

  * Drop bz_unity_header.patch: No longer needed for Unity (LP: #1719322)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 30 Sep 2017 11:43:39 -0400

file-roller (3.26.0-0ubuntu1) artful; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 16 Sep 2017 18:30:45 -0400

file-roller (3.25.1-0ubuntu1) artful; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 08 Aug 2017 12:51:09 -0400

file-roller (3.24.1-0ubuntu2) artful; urgency=medium

  * Don't recommend sessioninstaller any more. GNOME Software provides the PK
    session interface for us now. This is installed by seeds, and in case it's
    not installed, the code in file-roller will do nothing.

 -- Iain Lane <iain.lane@canonical.com>  Tue, 25 Jul 2017 11:48:45 +0100

file-roller (3.24.1-0ubuntu1) artful; urgency=medium

  * New upstream release
  * Drop revert_nautilus_extension_removal.patch because Ubuntu's
    nautilus is newer than 3.22 now
  * Drop wayland_workaround.patch because the bug was fixed in 3.24.1

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 29 Apr 2017 12:03:32 -0400

file-roller (3.22.3-1ubuntu1) zesty; urgency=medium

  * Merge with Debian. Remaining changes:
    - debian/control.in:
      + Depend on zip and unzip instead of p7zip-full which is in universe
      + Suggest p7zip-full and squashfs-tools
      + Recommend sessioninstaller
      + Bump minimum pkg-gnome-tools for desktop file compatibility script
    - debian/rules:
      + Make a compatibility desktop file for upgraders
    - bz_unity_headerbar.patch:
      + Don't use GtkHeaderBar in Unity
    - squashfs.patch:
      + Support squashfs and snap files
    - revert_nautilus_extension_removal.patch:
      + Revert removal of nautilus extension since we're not using
        Nautilus 3.22 yet

 -- Iain Lane <iain.lane@canonical.com>  Mon, 06 Mar 2017 16:55:18 +0000

file-roller (3.22.2-2ubuntu1) zesty; urgency=medium

  * Merge with Debian. Remaining changes:
    - debian/control.in:
      + Depend on zip and unzip instead of p7zip-full which is in universe
      + Suggest p7zip-full and squashfs-tools
      + Recommend sessioninstaller
      + Bump minimum pkg-gnome-tools for desktop file compatibility script
    - debian/rules:
      + Make a compatibility desktop file for upgraders
    - bz_unity_headerbar.patch:
      + Don't use GtkHeaderBar in Unity
    - squashfs.patch:
      + Support squashfs and snap files
    - revert_nautilus_extension_removal.patch:
      + Revert removal of nautilus extension since we're not using
        Nautilus 3.22 yet

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 14 Feb 2017 18:29:12 -0500

=== debian/control ===
--- 
+++ 
@@ -5,29 +5,31 @@
 Source: file-roller
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 10),
                desktop-file-utils,
                gettext,
-               gnome-pkg-tools (>= 0.12),
+               gnome-pkg-tools (>= 0.19.4ubuntu1~),
                intltool (>= 0.50.1),
                libarchive-dev (>= 3),
                libglib2.0-dev (>= 2.36.0),
                libgtk-3-dev (>= 3.13.2),
                libjson-glib-dev (>= 0.14),
                libmagic-dev,
+               libnautilus-extension-dev (>= 2.91.0),
                libnotify-dev (>= 0.4.3),
                yelp-tools
 Standards-Version: 3.9.8
-Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/file-roller
-Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/file-roller
+Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/file-roller/ubuntu
 Homepage: https://wiki.gnome.org/Apps/FileRoller
 
 Package: file-roller
 Architecture: any
 Depends: bzip2,
-         p7zip-full,
+         unzip,
+         zip,
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: gvfs,
@@ -38,15 +40,15 @@
           lzma,
           lzop,
           ncompress,
+          p7zip-full,
           rpm2cpio,
           rzip,
           sharutils,
+          squashfs-tools,
           unace,
           unalz,
           unar,
-          unzip,
           xz-utils,
-          zip,
           zoo
 Description: archive manager for GNOME
  File-roller is an archive manager for the GNOME environment. It allows you to:

=== debian/rules ===
--- 
+++ 
@@ -13,5 +13,14 @@
 override_dh_auto_configure:
 	dh_auto_configure -- --enable-magic
 
+override_dh_install:
+	dh_install
+	rm -f debian/file-roller/usr/lib/*/nautilus/extensions-*/*.a
+	rm -f debian/file-roller/usr/lib/*/nautilus/extensions-*/*.la
+
+	/usr/bin/pkg-gnome-compat-desktop-file \
+		debian/file-roller/usr/share/applications/org.gnome.FileRoller.desktop \
+		debian/file-roller/usr/share/applications/file-roller.desktop
+
 override_dh_makeshlibs:
 	dh_makeshlibs --no-act

## file-roller 3.28.0

=== meson_options.txt ===
option('run-in-place', 
  type : 'boolean', 
  value : false, 
  description : 'Load ui data from the source tree'
)

option('nautilus-actions',
  type : 'boolean', 
  value : true, 
  description : 'Build the nautilus context menu actions'
)

option('notification',
  type : 'boolean', 
  value : true, 
  description : 'Enable operation completion notification'
)

option('packagekit',
  type : 'boolean', 
  value : true, 
  description : 'Build PackageKit installer for missing utilities'
)

option('libarchive',
  type : 'boolean', 
  value : true, 
  description : 'Enable code that requires libarchive'
)

option('magic',
  type : 'boolean', 
  value : true, 
  description : 'Use libmagic to detect file type'
)

option('cpio',
  type : 'string',
  value : 'auto',
  description : 'Path to the cpio program'
)

=== debian/changelog ===
file-roller (3.28.0-1ubuntu1) bionic; urgency=medium

  * Sync with Debian. Remaining change:
   - debian/rules:
       + Make a compatibility desktop file for upgraders

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 21 Mar 2018 14:12:14 -0400

file-roller (3.28.0-1) unstable; urgency=medium

  * New upstream release
  * Add workaround for Ubuntu translations issue
  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 13 Mar 2018 11:58:35 -0400

file-roller (3.27.90-1) experimental; urgency=medium

  * New upstream development release
  * Drop squashfs.patch: Applied in new release
  * Build with meson

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 12 Feb 2018 15:39:42 -0500

file-roller (3.26.2-3) unstable; urgency=medium

  * Update Vcs fields for migration to https://salsa.debian.org/
  * Bump debhelper compat to 11
  * Build Nautilus extension again since it was re-enabled upstream
    in 3.26
  * On Ubuntu, depend on zip & unzip instead of p7zip-full because
    p7zip-full is in universe

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 24 Jan 2018 13:32:15 -0500

file-roller (3.26.2-2) unstable; urgency=medium

  * Update Vcs fields for conversion to git
  * Add debian/gbp.conf
  * Bump Standards-Version to 4.1.2

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 14 Dec 2017 11:44:52 -0500

file-roller (3.26.2-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches

 -- Michael Biebl <biebl@debian.org>  Wed, 01 Nov 2017 01:32:14 +0100

file-roller (3.26.1-1) unstable; urgency=medium

  * New upstream release
  * Add squashfs.patch from Ubuntu:
    - Support opening squashfs file systems and .snap files
  * debian/control.in:
    - Add squashfs-tools to Suggests, needed for above feature to work
  * Bump Standards-Version to 4.1.1

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 13 Oct 2017 22:09:59 -0400

file-roller (3.26.0-1) unstable; urgency=medium

  * New upstream translations release

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 16 Sep 2017 18:33:27 -0400

file-roller (3.25.91-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 04 Sep 2017 15:30:10 -0400

file-roller (3.25.1-1) unstable; urgency=medium

  * New upstream release
  * Drop wayland_workaround.patch because the bug was fixed in 3.24.1
  * Bump Standards-Version to 4.1.0

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 29 Aug 2017 19:55:24 -0400

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # This file is autogenerated. DO NOT EDIT!
-# 
+#
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
 Source: file-roller
@@ -7,12 +7,11 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper (>= 10),
+Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
+Build-Depends: debhelper (>= 11),
                desktop-file-utils,
-               gettext,
-               gnome-pkg-tools (>= 0.19.4ubuntu1~),
-               intltool (>= 0.50.1),
+               gnome-pkg-tools (>= 0.12),
+               itstool,
                libarchive-dev (>= 3),
                libglib2.0-dev (>= 2.36.0),
                libgtk-3-dev (>= 3.13.2),
@@ -20,27 +19,27 @@
                libmagic-dev,
                libnautilus-extension-dev (>= 2.91.0),
                libnotify-dev (>= 0.4.3),
-               yelp-tools
-Standards-Version: 3.9.8
-Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/file-roller/ubuntu
+               meson (>= 0.43)
+Standards-Version: 4.1.2
+Vcs-Browser: https://salsa.debian.org/gnome-team/file-roller
+Vcs-Git: https://salsa.debian.org/gnome-team/file-roller.git
 Homepage: https://wiki.gnome.org/Apps/FileRoller
 
 Package: file-roller
 Architecture: any
 Depends: bzip2,
-         unzip,
-         zip,
+         ${zip:Depends},
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: gvfs,
             yelp
-Suggests: arj,
+Suggests: ${zip:Suggests},
+          arj,
           lha,
           lzip,
           lzma,
           lzop,
           ncompress,
-          p7zip-full,
           rpm2cpio,
           rzip,
           sharutils,

## file-roller 3.30.1

=== debian/changelog ===
file-roller (3.30.1-2+deb10u1) buster; urgency=medium

  * CVE-2020-11736 (Closes: #956638)

 -- Moritz Muehlenhoff <jmm@debian.org>  Wed, 08 Jul 2020 20:12:00 +0200

file-roller (3.30.1-2) unstable; urgency=medium

  * Restore -Wl,-O1 to our LDFLAGS
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 23 Dec 2018 20:34:26 -0500

file-roller (3.30.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 09 Oct 2018 23:02:08 -0400

file-roller (3.30.0-1) unstable; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 04 Sep 2018 11:39:46 +0200

file-roller (3.29.91-1) experimental; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 28 Aug 2018 23:35:52 +0200

file-roller (3.29.90-1) experimental; urgency=medium

  * New upstream release

 -- Andrea Azzarone <andrea.azzarone@canonical.com>  Thu, 09 Aug 2018 11:13:44 +0200

file-roller (3.29.1-1) experimental; urgency=medium

  * New upstream release
  * debian/control*, gbp.conf: Update for experimental (3.29 series)

 -- Andrea Azzarone <andrea.azzarone@canonical.com>  Fri, 27 Jul 2018 12:59:20 +0100

file-roller (3.28.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Set Rules-Requires-Root to no
  * Standards-Version: 4.1.5 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Thu, 26 Jul 2018 10:57:19 +0100

file-roller (3.28.0-2) unstable; urgency=medium

  * Update debian/gbp.conf
  * Drop obsolete dh_translations overrides
  * Bump Standards-Version to 4.1.4

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 23 May 2018 14:21:19 -0400

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,8 @@
 Source: file-roller
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 11),
                desktop-file-utils,
                gnome-pkg-tools (>= 0.12),
@@ -20,7 +19,8 @@
                libnautilus-extension-dev (>= 2.91.0),
                libnotify-dev (>= 0.4.3),
                meson (>= 0.43)
-Standards-Version: 4.1.2
+Rules-Requires-Root: no
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/file-roller
 Vcs-Git: https://salsa.debian.org/gnome-team/file-roller.git
 Homepage: https://wiki.gnome.org/Apps/FileRoller

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed

%:
	dh $@ --with gnome

override_dh_auto_configure:
	dh_auto_configure -- -Dmagic=true

override_dh_makeshlibs:
	dh_makeshlibs --no-act

# p7zip is in Ubuntu "universe"
override_dh_gencontrol:
ifeq ($(shell dpkg-vendor --query vendor),Ubuntu)
	dh_gencontrol -- \
		-Vzip:Depends='unzip, zip' \
		-Vzip:Suggests='p7zip-full'
else
	dh_gencontrol -- \
		-Vzip:Depends='p7zip-full' \
		-Vzip:Suggests='unzip, zip'
endif

## file-roller 3.30.2.1

=== debian/changelog ===
file-roller (3.30.2.1-1+dde) unstable; urgency=low

  * ['Autobuild release-candidate: e28938e6972d98ffd21d585464aaba2216244da4']

 -- shuttle <shuttle@deepin.com>  Tue, 04 Aug 2020 16:30:49 +0000

## file-roller 3.30.2.2

=== debian/changelog ===
file-roller (3.30.2.2-deepin1) unstable; urgency=medium

  * Non-maintainer upload.
  * fix CVE-2020-36314

 -- Ding Heng <dingheng@uniontech.com>  Tue, 27 Dec 2022 13:38:24 +0800

file-roller (3.30.2.1-1+dde) unstable; urgency=medium

  * Update version number, synchronize local version number
  * 

 -- liuxin <liuxin@uniontech.com>  Thu, 23 Jul 2020 15:42:36 +0800

## file-roller 3.32.0

=== debian/changelog ===
file-roller (3.32.0-1) experimental; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 12 Mar 2019 10:36:17 +0100

file-roller (3.31.92-1) experimental; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 05 Mar 2019 17:27:29 +0100

file-roller (3.31.90-1) experimental; urgency=medium

  * New upstream development release
  * Build-Depend on debhelper-compat 12 and drop debian/compat
  * Build-Depend on dh-sequence-gnome
  * Drop unused Build-Depends on desktop-file-utils

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 06 Feb 2019 17:17:43 -0500

## file-roller 3.32.1

=== debian/changelog ===
file-roller (3.32.1-1) experimental; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 09 Apr 2019 13:52:07 +0200

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,8 @@
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper (>= 11),
-               desktop-file-utils,
-               gnome-pkg-tools (>= 0.12),
+Build-Depends: debhelper-compat (= 12),
+               dh-sequence-gnome,
                itstool,
                libarchive-dev (>= 3),
                libglib2.0-dev (>= 2.36.0),
